Jump to content

icones_brancos.png

dia-do-acbr-online.png botao

botao.pngbotao.png

botao.pngbotao.png

logo_acbr_paygo.png

TEF ACBr PayGo
Seja um revendedor e ofereça uma solução completa para seu cliente.


botao.png

beneficios.png

Bloco X - ER inferior a 02.04


  • Este tópico foi criado há 742 dias atrás.
  • Talvez seja melhor você criar um NOVO TÓPICO do que postar uma resposta aqui

Recommended Posts

Boa tarde pessoal,

 

Estamos com uma situação aqui complicada, gostaria de saber se alguém teria uma ideia para solucionarmos este problema.

Alguns clientes nossos (mercados) já estão transmitindo o bloco X. Teve clientes que foram atualizados antes de realizarmos a nova homologação para ER 02.05, no caso o cliente está utilizando a versão com a ER 02.03.

Recentemente esses clientes começaram a ter problema para enviar o bloco X, o WS retorna a seguinte mensagem:

ErroBlocoX.png.169756f05f2da2e4839cdfd77cdec005.png

Se atualizarmos esse cliente para uma versão atual e tentar gerar o novo arquivo para transmitir com o credenciamento na ER 02.05 recebemos o erro informando que o credenciamento difere do registrado no SAT.

Credenc.png.2619bee262e8060e29ee9f867f004766.png

Aparentemente o SAT valida o número do credenciamento com base na data da redução Z enviada no arquivo.

Ou seja, ficamos basicamente sem solução no meu ver, pois se tentar transmitir o arquivo antes de atualizar recebemos o erro da Versão da ER e se atualizarmos recebemos o erro do numero de credenciamento.

 

Alguém teria uma dica?

Grato pela atenção.

Edited by João Paulo Müller
Link to post
Share on other sites

Olá bom dia.

Amigo acho que o numero do registro de seu cliente do SAT está errado.

Ele deve estar registrado com uma versão antiga (2.03) do seu sistema, por isso não está transmitindo.

Você tem que entrar la no SAT homologa, ir no cadastro do cliente que você está utilizando para testes e atualizar o cadastro dele para usar a versão mais nova do seu sistema homologado para 2.04 ou superior

Eu acho que a ER 2.03 não contrata o Bloco X, por isso o erro.

Link to post
Share on other sites

Pois é amigo, isso que acho estranho, pois já entrei no SAT, consultei as versões do cliente e ele já está atualizado para a ultima versão (ER 02.05) na qual homologamos.  

Mas quando vou transmitir diz que o credenciamento está errado. Analisando melhor, vi que a redução Z que está tentando transmitir é do dia 14 e no dia 14 ele estava com o numero de credenciamento que o SAT Esta validando (versão antiga).

Ou seja, acredito que o SAT valida o número de credenciamento na data da redução que está sendo transmitida.

Edited by João Paulo Müller
Link to post
Share on other sites
  • Este tópico foi criado há 742 dias atrás.
  • Talvez seja melhor você criar um NOVO TÓPICO do que postar uma resposta aqui

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...